# UniTAP.utils.function_wrapper

def function_scheduler(exec_func, *args, interval: float = 1, timeout: float = 1) -> bool:

Execute function or lambda with timeout and interval.

###### Arguments:

- exec_func (function) - Function for execution.
- *args - Arguments for executing function.
- interval (float) - Function call interval.
- timeout (float) - Timeout until the end of calls function.

###### Returns:

> function_successful (bool) - function result